ZIP_RENAME(3)

NAME
zip_rename - rename file in zip archive (obsolete interface)

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int
zip_rename(zip_t *archive, zip_uint64_t index, const char *name);

DESCRIPTION
zip_rename() is the obsolete version of zip_file_rename(3). It is the same as calling zip_file_rename(3) with an empty flags argument.

SEE ALSO
libzip(3), zip_file_rename(3)

HISTORY
zip_rename() was added in libzip 0.6. In libzip 0.10 the type of index was changed from int to zip_uint64_t. It was deprecated in libzip 0.11, use zip_file_rename() instead.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>